Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Updating after 2 weeks off-line causes blocks
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
swimmer
Veteran
Veteran


Joined: 15 Jul 2002
Posts: 1287
Location: Netherlands

PostPosted: Fri Aug 09, 2013 3:21 pm    Post subject: Updating after 2 weeks off-line causes blocks Reply with quote

After having been off-line for 2 weeks I tried to bring my systems up-to-date again and I run into some blocking problems I can't easily resolve:

https://gist.github.com/6194472

Except of masking the unstable icu ebuilds as recommended from the devs I don't know how to handle the other blocks. Nor did I find anything related to my problems in the forums or at b.g.o ... anyone else has similar problems?

Thanks in advance
swimmer
Back to top
View user's profile Send private message
MustrumR
n00b
n00b


Joined: 15 Nov 2011
Posts: 45
Location: Right here

PostPosted: Fri Aug 09, 2013 7:30 pm    Post subject: Reply with quote

There is one block.
Code:

media-libs/libjpeg-turbo:0
 
  (media-libs/libjpeg-turbo-1.3.0::gentoo, installed) pulled in by
    <media-libs/libjpeg-turbo-1.3.0-r2 required by (app-office/libreoffice-bin-4.0.4.2::gentoo, ebuild scheduled for merge)
 
  (media-libs/libjpeg-turbo-1.3.0-r2::gentoo, ebuild scheduled for merge) pulled in by
    >=media-libs/libjpeg-turbo-1.3.0-r2:0[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?] required by (virtual/jpeg-0-r2::gentoo, ebuild scheduled for merge)
    (and 1 more with the same problem)

Remove libreoffice-bin and install libreoffice.
Back to top
View user's profile Send private message
swimmer
Veteran
Veteran


Joined: 15 Jul 2002
Posts: 1287
Location: Netherlands

PostPosted: Fri Aug 09, 2013 7:45 pm    Post subject: Reply with quote

Thanks for your reply MustrumR but it's a deliberate choice to use the -bin package since quite a few of my systems (laptops) are simply too weak to get through a compilation of the libreoffice package ;-)

I *hope* that there is a different solution as well!
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2000
Location: Finland

PostPosted: Fri Aug 09, 2013 7:57 pm    Post subject: Reply with quote

I'm sorry, but libreoffice-bin package is meant only for stable users. The new multilib libjpeg-turbo doesn't work because it doesn't install the same file anymore as required only by libreoffice-bin in Portage tree. And if you use package.keywords to unmask random library that needs the multilib libjpeg-turbo as a dependency, the same problem is there again.
There might not be other sane option than switch.

Except if you are willing to settle for an hack. You can copy the libreoffice-bin ebuild to overlay, and remove the jpeg dependency from the ebuild completely, then you can get libjpeg.so.8 file from stable libjpeg-turbo, save it and copy it to /usr/local/lib and run `ldconfig`. Then you can upgrade to newer libjpeg-turbo and libreoffice-bin keeps working because the libjpeg.so.8 is in /usr/local/lib and it finds it because `ldconfig` was executed (as root).
Back to top
View user's profile Send private message
swimmer
Veteran
Veteran


Joined: 15 Jul 2002
Posts: 1287
Location: Netherlands

PostPosted: Mon Aug 12, 2013 12:38 pm    Post subject: Reply with quote

ssuominen wrote:
I'm sorry, but libreoffice-bin package is meant only for stable users. The new multilib libjpeg-turbo doesn't work because it doesn't install the same file anymore as required only by libreoffice-bin in Portage tree. And if you use package.keywords to unmask random library that needs the multilib libjpeg-turbo as a dependency, the same problem is there again.
There might not be other sane option than switch.

Except if you are willing to settle for an hack. You can copy the libreoffice-bin ebuild to overlay, and remove the jpeg dependency from the ebuild completely, then you can get libjpeg.so.8 file from stable libjpeg-turbo, save it and copy it to /usr/local/lib and run `ldconfig`. Then you can upgrade to newer libjpeg-turbo and libreoffice-bin keeps working because the libjpeg.so.8 is in /usr/local/lib and it finds it because `ldconfig` was executed (as root).


Thanks ssuominen for that workaround!!! Even though being ugly it keeps my systems running without too much of an hassle ;-)

Thanks again.
Back to top
View user's profile Send private message
johpunk
Guru
Guru


Joined: 17 Jan 2008
Posts: 426

PostPosted: Wed Aug 14, 2013 1:26 am    Post subject: Reply with quote

the trick works but this message appear even if emerge @preserved-rebuild is executed

Quote:

!!! existing preserved libs:
>>> package: media-libs/libjpeg-turbo-1.3.0-r2
* - /usr/lib64/libjpeg.so.8
* - /usr/lib64/libjpeg.so.8.0.2
* used by /usr/lib64/libreoffice/program/libmergedlo.so (app-office/libreoffice-bin-4.0.4.2)
Use emerge @preserved-rebuild to rebuild packages using these libraries

_________________
Gentoo 10.0
i3 ~amd64
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2000
Location: Finland

PostPosted: Wed Aug 14, 2013 4:42 am    Post subject: Reply with quote

johpunk wrote:
the trick works but this message appear even if emerge @preserved-rebuild is executed

Quote:

!!! existing preserved libs:
>>> package: media-libs/libjpeg-turbo-1.3.0-r2
* - /usr/lib64/libjpeg.so.8
* - /usr/lib64/libjpeg.so.8.0.2
* used by /usr/lib64/libreoffice/program/libmergedlo.so (app-office/libreoffice-bin-4.0.4.2)
Use emerge @preserved-rebuild to rebuild packages using these libraries


By deleting /var/lib/portage/preserved_libs_registry it goes away.
Back to top
View user's profile Send private message
johpunk
Guru
Guru


Joined: 17 Jan 2008
Posts: 426

PostPosted: Wed Aug 14, 2013 7:52 am    Post subject: Reply with quote

Thanks!
_________________
Gentoo 10.0
i3 ~amd64
Back to top
View user's profile Send private message
swimmer
Veteran
Veteran


Joined: 15 Jul 2002
Posts: 1287
Location: Netherlands

PostPosted: Wed Aug 14, 2013 9:09 am    Post subject: Reply with quote

ssuominen wrote:
johpunk wrote:
the trick works but this message appear even if emerge @preserved-rebuild is executed

Quote:

!!! existing preserved libs:
>>> package: media-libs/libjpeg-turbo-1.3.0-r2
* - /usr/lib64/libjpeg.so.8
* - /usr/lib64/libjpeg.so.8.0.2
* used by /usr/lib64/libreoffice/program/libmergedlo.so (app-office/libreoffice-bin-4.0.4.2)
Use emerge @preserved-rebuild to rebuild packages using these libraries


By deleting /var/lib/portage/preserved_libs_registry it goes away.
Thanks indeed & again! B-)
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2868
Location: Grenoble, France

PostPosted: Sun Sep 15, 2013 8:08 am    Post subject: Reply with quote

Will it eventually work again without the hack ?

And is it the same with the other jpeg implementation ?
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2000
Location: Finland

PostPosted: Sun Sep 15, 2013 11:34 am    Post subject: Reply with quote

kopp wrote:
Will it eventually work again without the hack ?

And is it the same with the other jpeg implementation ?


Without this particular hack, for sure, after packages get stabilized. But it doesn't change the fact that libreoffice-bin is only designed for stable users, and not built for ~arch users at all. That's the price you have to pay for using the latest and greatest. Other hacks will be needed in long run.
Back to top
View user's profile Send private message
kopp
Advocate
Advocate


Joined: 09 Apr 2004
Posts: 2868
Location: Grenoble, France

PostPosted: Sun Sep 15, 2013 6:39 pm    Post subject: Reply with quote

Ok. Thanks. I'll try the hack then.

I didn't know libreoffice-bin was intended for stable users before reading this thread.

Edit : well, there was trouble with poppler and icu too.
Went to the source version of libreoffice
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum